%define anolis_release 2

Name:           perl-Data-Dump
Version:        1.25
Release:        %{anolis_release}%{?dist}
Summary:        Pretty printing of data structures
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Data-Dump
Source0:        https://cpan.metacpan.org/modules/by-module/Data/Data-Dump-%{version}.tar.gz

BuildRequires:  coreutils make
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(base) perl(Carp) perl(Exporter)
BuildRequires:  perl(MIME::Base64) perl(overload) perl(strict)
BuildRequires:  perl(subs) perl(Term::ANSIColor) perl(vars)
BuildRequires:  perl(warnings) perl(IO::Socket::INET) perl(Symbol)
BuildRequires:  perl(Test) perl(Test::More)

Suggests:       perl(MIME::Base64)

BuildArch:      noarch

%description
This module provides a single function called dump() that takes a list of
values as its argument and produces a string as its result. The string
contains Perl code that can be evaluated to produce a deep copy of the
original arguments. The string is formatted for easy comprehension.

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n Data-Dump-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%{make_build}

%install
%{make_install}
%{_fixperms} -c %{buildroot}

%check
make test

%files
%{perl_vendorlib}/Data/
%{_mandir}/man3/Data::Dump.3*
%{_mandir}/man3/Data::Dump::Filtered.3*
%{_mandir}/man3/Data::Dump::Trace.3*

%files doc
%doc Changes README.md

%changelog
* Wed Apr 12 2023 Kaihao Bai <carlo.bai@linux.alibaba.com> - 1.25-2
- optimize spec

* Thu Feb 02 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 1.25-1
- init from upstream
